- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.coverageDetails/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.coverageDetails/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.coverageDetails/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.coverageDetails/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.coverageDetails/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.coverageDetails/list#body.ListCoverageDetailsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.coverageDetails/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.coverageDetails/list#body.aspect_1)
- [CoverageDetails](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.coverageDetails/list#CoverageDetails)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.coverageDetails/list#CoverageDetails.SCHEMA_REPRESENTATION)

**Full name**: projects.locations.instances.coverageDetails.list

List coverage details for threat collection and rule combinations.

### HTTP request

`GET https://{endpoint}/v1/{parent}/coverageDetails`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to list coverage details for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of CoverageDetails to return. The service may return fewer than this value. If unspecified, at most 1000 CoverageDetails will be returned. The maximum value is 10000; values above 10000 will be coerced to 10000. |
| `pageToken` | `string` Optional. A page token, received from a previous `coverageDetails.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `coverageDetails.list` must match the call that provided the page token. |
| `filter` | `string` Optional. A filter that can be used to retrieve specific coverage details. Supported filters: - Search literal (<https://google.aip.dev/160#literals>) matching on coverage details for specified threat collections. - Filtering by a specific field value in the format: `field:value`. Supported fields: - threatCollection Can use `OR` for multiple threat collections. |

### Request body

The request body must be empty.

### Response body

Response containing a list of coverage details.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "coverageDetails": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.coverageDetails/list#CoverageDetails`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `coverageDetails[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.coverageDetails/list#CoverageDetails`)`` Output only. The list of coverage details sorted by coverage details' name in ascending order. |
| `nextPageToken` | `string` Output only. A token that can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `totalSize` | `integer` Output only. The total number of coverage details that match the request. The count returned by pagination may be less than the `totalSize` that matches. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.coverageDetails.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## CoverageDetails

Provides coverage details for a threat collection and rule combination.

| JSON representation |
|---|
| ``` { "name": string, "threatCollection": string, "rule": string, "coveredAttackDetails": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/SecurityResult#AttackDetails`) } } ``` |

| Fields ||
|---|---|
| `name` | `string` Identifier. The resource name of the coverage details. Format: projects/{project}/locations/{location}/instances/{instance}/coverageDetails/{coverageDetails} |
| `threatCollection` | `string` Output only. Resource name of the matching ThreatCollection |
| `rule` | `string` Output only. Resource name of the matching Rule |
| `coveredAttackDetails` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/SecurityResult#AttackDetails`)`` Output only. MITRE ATT\&CK TTPs used in the campaign that were detected by this rule. |